<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Facturas extends Model
{
    //
    use SoftDeletes;
    protected $table = 'facturas';

    public function cliente()
    {
        return $this->hasOne('App\Cliente', 'id', 'id_cliente')->with('info_ejecutivo');
    }
    public function producto()
    {
        return $this->hasOne('App\Producto', 'id', 'id_producto')->with('medida');
    }
    public function recibo_caja()
    {
        return $this->hasOne('App\ReciboCaja', 'id', 'id_recibo_caja_factura');
    }
    public function nota()
    {
        return $this->hasOne('App\NotaDebito', 'id', 'id_debito');
    }

    // Función para devolver el estado como un objeto con estado y color
    public function estadoString(): object
    {
        $estado = new \stdClass();

        if ($this->deleted_at) {
            $estado->estado = 'Anulada';
            $estado->color = 'text-danger'; // Clase CSS para el color gris
            return $estado;
        }

        if ($this->estatus == 2) {
            $estado->estado = 'Cancelada';
            $estado->color = 'text-success'; // Clase CSS para el color rojo
            return $estado;
        }

        if ($this->id_recibo_caja_factura == 0 && $this->abono == 0) {
            $estado->estado = 'Pendiente de Pago';
            $estado->color = 'text-gray'; // Clase CSS para el color amarillo
            return $estado;
        }

        $estado->estado = 'Pagada parcialmente';
        $estado->color = 'text-primary'; // Clase CSS para el color verde
        return $estado;
    }
}
