@extends('layouts.app')
@extends('compras.menu')
@section('content')
    <style>
        .import-success {
            background-color: red !important;
            border-radius: 5px;
        }

        .import-success a {
            color: white !important;
        }
    </style>
    <div id="contenedor-dashboard" class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <a type="button" href="{{ route('compras.locales.nueva') }}" class="botonColor">NUEVA</a>
            </div>
        </div>

        <div class="col-md-12" style="margin-top: 150px !important;">
            <br>
            <table id="compras-table" class="display" style="width:100%">
                <thead>
                    <tr>
                        <th scope="col">Referencia</th>
                        <th scope="col">Proveedor</th>
                        <th scope="col">Producto</th>
                        <th scope="col">Documento</th>
                        <th scope="col">Valor</th>
                        <th scope="col">Condiciones Pago</th>
                        <th scope="col">Credito</th>
                        <th scope="col">Observacion</th>
                        <th scope="col">Fecha Creacion</th>
                    </tr>
                </thead>
                <tbody>
                    {{-- @php
                        $total = 0;
                    @endphp --}}
                    @foreach ($compras as $compra)
                        <tr style="height: 60px !important;">
                            <td class="{{ $compra->estado == 3 ? 'import-success' : '' }}">
                                <!-- <a href="{{ route('compras.locales.detalle', $compra->id) }}">OC-{{ $compra->id }} {{ $compra->estado == 3 ? ' revisado' : '' }}</a> -->
                                <span>
                                    OC {{ $compra->correlativo }} {{ $compra->estado == 3 ? ' revisado' : '' }}
                                </span>
                            </td>
                            <td>
                                {{ $compra->proveedor->nombre ?? '' }}
                            </td>
                            <td>
                                <ul>
                                    @foreach ($compra->detalle as $detalle)
                                        @php
                                            $nombre_producto = $detalle->producto
                                                ? $detalle->producto->nombre
                                                : $detalle->descripcion;
                                        @endphp
                                        <li>
                                            {{ $nombre_producto }}
                                        </li>
                                    @endforeach
                                </ul>

                            </td>
                            <td>
                                <a href="{{ route('compras.locales.descargar', $compra->id) }}" target="_blank"
                                    rel="noopener noreferrer">Descargar Orden</a>
                            </td>
                            <td>
                                {{$compra->moneda_simbolo}}.{{ number_format($compra->total_factura, 2, '.', ',') }}
                            </td>
                            <td>{{ $compra->condiciones_pago }}</td>
                            <td>{{ $compra->condiciones }}</td>
                            <td>{{ $compra->observaciones }}</td>
                            <td>{{ $compra->created_at->format('d/m/Y') }}</td>
                        </tr>
                        {{-- @php
                            $total += $compra->total_factura;
                        @endphp --}}
                    @endforeach
                </tbody>
                <tfoot>
                    <tr>
                        <th scope="col">Referencia</th>
                        <th scope="col">Proveedor</th>
                        <th scope="col">Producto</th>
                        <th scope="col">Documento</th>
                        <th scope="col">Valor</th>
                        <th scope="col">Condiciones Pago</th>
                        <th scope="col">Credito</th>
                        <th scope="col">Observacion</th>
                        <th scope="col">Fecha Creacion</th>
                    </tr>
                    {{-- <tr id="total_final2">
                        <td id="total_final">TOTAL</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td id="data5"> {{$compra->moneda_simbolo}}.{{ number_format($total, 2, '.', ',') }}</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr> --}}
                </tfoot>
            </table>
        </div>
    </div>

    <script>
        $(document).ready(function() {
            $.fn.dataTable.moment('DD/MM/YYYY');
            $('#compras-table').dataTable({
                "paging": false,
                "order": [
                    [0, "desc"]
                ],
                dom: 'Bfrtip',
                buttons: [
                    'excel', 'print'
                ]
            });
        });
    </script>
@endsection
